Page MenuHomePhabricator

hhvm-repo-mode not compiling file listed in LoggerFactory.php in 1.25.1
Closed, ResolvedPublic

Description

File includes/debug/logger/LoggerFactory.php in MW 1.25.1 contains interface_exists( '\Psr\Log\LoggerInterface' ). As a result, this file is not compiled by hhvm-repo-mode script for HHVM RepoAuthoritative Mode. This can be fixed by removing the leading backslash in namespace name.

See https://github.com/facebook/hhvm/issues/5834.

Event Timeline

alex-mashin raised the priority of this task from to Needs Triage.
alex-mashin updated the task description. (Show Details)
alex-mashin added a project: MW-1.25-release.
alex-mashin added a subscriber: alex-mashin.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2015, 1:04 PM
alex-mashin updated the task description. (Show Details)Aug 5 2015, 1:05 PM
alex-mashin set Security to None.
Reedy added a project: HHVM.Aug 5 2015, 1:06 PM
Reedy added a subscriber: Reedy.

This would be an issue on git HEAD too, not just 1.25.1

Reedy added a subscriber: bd808.Aug 5 2015, 1:07 PM
Aklapper renamed this task from HHVM incompability in MW 1.25.1 to hhvm-repo-mode not compiling file listed in LoggerFactory.php in 1.25.1.Aug 11 2015, 10:11 AM
Aklapper triaged this task as Normal priority.
Aklapper added a project: good first bug.
Reedy closed this task as Resolved.Dec 18 2015, 10:35 PM
Reedy claimed this task.

It's been fixed in REL1_25, REL1_26 and git HEAD

https://github.com/wikimedia/mediawiki/commit/9ed28834ab15630ddba1f438b1b210a602c6d908 is the commit for 1.25